Subject: Re: [Outreachy] internship contribution

From: Derrick Stolee <[email-masked]>
Date: Mon, 10 Oct 2022 12:33:26 -0400

On 10/10/2022 12:22 PM, Christian Couder wrote:
> On Mon, Oct 10, 2022 at 2:19 PM NSENGIYUMVA WILBERFORCE
> <[email-masked]> wrote:
>>
>> I see most of the articles are UNIX based, does it mean that I should
>> have a UNIX based operating system in order to contribute?
>> Currently, I have windows installed 11 on my PC
> 
> You can install a Linux virtual machine on your PC and develop in this
> virtual machine, or you can install the Git for Windows SDK from:
> 
> https://gitforwindows.org/#contribute
> 
> It might be best to install both development environments. I will not
> be able to help you much with development environment issues if you
> develop on Windows, but if it works for you, that could be Ok,
> especially if you use GitGitGadget too.

The git-for-windows/git fork has some information that is helpful
for developing Git on a Windows machine [1]. This also includes
details about recommending a Linux VM with Windows' Hyper-V system
because compiling and testing Git is so much faster on Linux.

[1] https://github.com/git-for-windows/git/blob/main/CONTRIBUTING.md

Good luck!
-Stolee